Bug 1280464 (python-citeproc-py) - Review Request: python-citeproc-py - Yet another Python CSL Processor
Summary: Review Request: python-citeproc-py - Yet another Python CSL Processor
Keywords:
Status: CLOSED ERRATA
Alias: python-citeproc-py
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro 1280480
TreeView+ depends on / blocked
 
Reported: 2015-11-11 19:37 UTC by Igor Gnatenko
Modified: 2015-12-06 19:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-06 19:19:28 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-11-11 19:37:19 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-citeproc-py.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-citeproc-py-0.3.0-1.fc24.src.rpm
Description: Yet another Python CSL Processor.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-25 21:30:15 UTC
The same as for other packages: csl_unsorted seems to be a data processing script which should not be python-version specific.

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-26 01:49:46 UTC
- license is OK
- license file is present, %license is used
- latest version
- follows new python guidelines
- rpmlint:
python2-citeproc-py.noarch: W: doc-file-dependency /usr/share/doc/python2-citeproc-py/examples/citeproc_json.py /usr/bin/env
python2-citeproc-py.noarch: W: doc-file-dependency /usr/share/doc/python2-citeproc-py/examples/bibtex.py /usr/bin/env

Should probably use #!/usr/bin/python2 (and /usr/bin/python3 in python3 subpackage).

- requires/provides are sane, except that /usr/bin/env is required (because it is used in docs)

Package is APPROVED.

Comment 4 Till Maas 2015-11-26 21:35:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-citeproc-py

Comment 5 Fedora Update System 2015-11-28 13:40:35 UTC
python-citeproc-py-0.3.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-92e495c2e6

Comment 6 Fedora Update System 2015-11-29 02:22:38 UTC
python-citeproc-py-0.3.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-citeproc-py'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-92e495c2e6

Comment 7 Fedora Update System 2015-12-06 19:19:26 UTC
python-citeproc-py-0.3.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.